Redmine - Feature #15021

Service Level Agreement (SLA), more user-friendly email configuration, add any other notifications
2013-10-01 21:08 - Martin Vaner

Status: New Start date:

Priority: Normal Due date: 2013-10-17
Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution:

Description

SLA:

- configurable when you are using the redmine as help desk

User friendly email configuration

- make an easiest way to config the content of the emails which Redmine is sending. In this moment the user must go to the source
Adding any other notifications which can Redmine send

- for example - customer / reporter will create ticket and Redmine will respond something like: Dear ...., your ticket has been
successfully created under the ID <id_of_ticket>

| am not ruby programmer, so i can't write something like that.

Thanks.

Related issues:

Related to Redmine - Feature #15152: SLA Feature New

Related to Redmine - Feature #5458: Extend Start/Due date to include time New 2010-05-06
Related to Redmine - Patch #13747: Issue Colors Patch for #4967 New

Related to Redmine - Feature #12222: SLA Integration (Service Level Agreement) New

History

#1 - 2013-10-02 21:48 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

Please describe how you imagine SLAs implemented in Redmine.

#2 - 2013-10-03 15:08 - Jan Niggemann (redmine.org team member)
- Due date set to 2013-10-17

#3 - 2013-10-17 14:27 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed

- Resolution set to No feedback

#4 - 2013-10-17 16:05 - Francois Langlois

Hello,

I'm also interested with a SLA feature in Redmine for Help Desk activities. I've seen many requests for SLA in Redmine, but since you asked for some
information about this feature, please let me give you some wishes about it :

- SLA is related to issues treatment, so for every type of issues, and every priority of issues, a field "SLA" must be configured. In these fields, you
have to put the max hours/days/working days you can spend to resolve the issue.

- SLA is calculated upon a calendar, so you must have a calendar option, where you can define the public holidays.

- You also have a field to define the standard support time, ie. : monday to friday, 9AM to 8PM

- SLA is also calculated upon issues status, which is also project-related, and can differ (ie. : new --> resolved, or confirmed --> closed...), only the
working time between starting status and delivered service status must be added

- some issues status can also freeze elapsing time : waiting for customer, waiting for external item...

- bactracking status must also be counted, ie. issue was resolved 2 days ago, but it has been changed to open because problem is not fully resolved

Don't forget that these parameters can be project-related, and can differ for every project, so we need some flexibility.

At last, a reminder of the remaining SLA time (with a color code Green-Yellow-Red) in each issue is needed, with a status, ie. on time, close to end,
delayed. Filtering issues with this status is needed.
Cherry on the cake, a view of all SLA in one page, and another with some charts would be very appreciated.

I hope my explanations are sufficient for you to start something. | am in charge of a service desk, and we have chosen Redmine for all its qualities,
but we badly need SLA in it in order to work.

Thank you.

#5 - 2013-10-19 14:05 - Toshi MARUYAMA
- Related to Feature #15152: SLA Feature added

#6 - 2013-10-23 17:14 - Rupesh Helwade
+1

Could be an extension of issue #5458 and #13747

Also if we could get an email alerts for issues coming due in next few Hours based on SLA requirements wold be highly appreciable. Currently Issues
coming Due in next few days can be made to generate email alerts suing rake command but that does not take into account stringent SLA
requirements of few hours.

#7 - 2014-01-16 15:21 - Rupesh Helwade
Rupesh Helwade wrote:
+1
Could be an extension of issue #5458 and #13747
Also if we could get an email alerts for issues coming due in next few Hours based on SLA requirements wold be highly appreciable. Currently

Issues coming Due in next few days can be made to generate email alerts suing rake command but that does not take into account stringent
SLA requirements of few hours.

rupesh

#8 - 2014-02-10 09:27 - Toshi MARUYAMA
- Related to Feature #5458: Extend Start/Due date to include time added

#9 - 2014-02-10 09:27 - Toshi MARUYAMA
- Related to Patch #13747: Issue Colors Patch for #4967 added

#10 - 2014-02-10 09:28 - Toshi MARUYAMA
- Status changed from Closed to New

- Resolution deleted (No feedback)
#11 - 2014-07-03 12:09 - Benoit Roussel
+1

This SLA feature would be really useful.
| need to do reporting on SLA : time to acknowledge a ticket, time to analyse it, time to resolve it etc...

The explanation of Frangois Langlois suits my need...

#12 - 2014-08-02 01:54 - Toshi MARUYAMA
- Related to Feature #12222: SLA Integration (Service Level Agreement) added

#13 - 2014-08-18 07:24 - Anonymous
+100

#14 - 2014-12-19 17:40 - Jan Niggemann (redmine.org team member)

Also see this post in the forums: SLA Violation Notification

#15 - 2015-01-02 10:55 - taha mohammed el kahlaoui
+1000000000000000000000
https://www.redmine.org/issues/13747
https://www.redmine.org/boards/1/topics/44940

#16 - 2015-04-15 09:41 - A. Grayo

We are also interested by this feature describe by Francois (see also #15152). Is there somebody who can do a workload estimation of this task?
We are open to sponsor this developpment.

#17 - 2015-12-03 13:49 - Jefferson Campos
Hello guys!

| am a huge user of redmine. It is a great tool and | am using it in various projects. So, before start, | have to say thanks!

Now, about the SLA feature: | am interested in this feature too. There is some plugin to solve this problem or the Core Team is planning to add this
feature in redmine itself? If it is planned to be added to core, | can offer some help (if it is need, of course! | would be happy to help back the
community).

#18 - 2016-01-06 09:40 - Aleksandar Pavic

+1

#19 - 2016-07-29 15:32 - Rafael Augusto

| can atravez some plugin or tool send alerts when the SLA is above a certain percentage ?

#20 - 2017-03-03 17:34 - Christophe Portier

+1

In fact, this absence in Redmine may lead us to use a commercial support tool.
Hoping this SLA part will come soon!

Thanks to all!

#21 - 2019-02-26 17:02 - Rafael Neves

+100
This SLA feature will be AWESOME !
Thanks!

#22 - 2020-04-26 23:11 - Sebastian Labonia

+1 for this feature

#23 - 2021-07-13 14:04 - Nahit Aytan
Dear All,

please someone to say me that this issue has been solved :(

regards.
